August 08, 2012
Which SSE version is required? My processor is a Core2Duo with SSE2 and is apparently not supported. Surely a mainstream version with an older version of SSE should be able to use the sub-set of SSE instructions it supports?
August 08, 2012
I'm using the recently released DMD2 version 2.060.

August 08, 2012
On Wed, 08 Aug 2012 15:46:23 +0200, ixid <nuaccount@gmail.com> wrote:

> I'm using the recently released DMD2 version 2.060.

SIMD operations are not supported for Windows at the moment,
I think. Of course, if you're running Linux, ignore this answer.

-- 
Simen
August 08, 2012
That'll be it, yes I am using Windows.


November 22, 2012
On Wednesday, 8 August 2012 at 16:09:46 UTC, Simen Kjaeraas wrote:
> On Wed, 08 Aug 2012 15:46:23 +0200, ixid <nuaccount@gmail.com> wrote:
>
>> I'm using the recently released DMD2 version 2.060.
>
> SIMD operations are not supported for Windows at the moment,
> I think. Of course, if you're running Linux, ignore this answer.

Oh, my...

What about in next version 2.061? On Win32 or Win64 (XP, Win7, WIn8)?


November 26, 2012
On Thursday, 22 November 2012 at 21:26:20 UTC, Michael wrote:
> On Wednesday, 8 August 2012 at 16:09:46 UTC, Simen Kjaeraas wrote:
>> On Wed, 08 Aug 2012 15:46:23 +0200, ixid <nuaccount@gmail.com> wrote:
>>
>>> I'm using the recently released DMD2 version 2.060.
>>
>> SIMD operations are not supported for Windows at the moment,
>> I think. Of course, if you're running Linux, ignore this answer.
>
> Oh, my...
>
> What about in next version 2.061? On Win32 or Win64 (XP, Win7, WIn8)?

You can use them now with GDC. You can download Windows binaries at https://bitbucket.org/goshawk/gdc/downloads .
November 26, 2012
> You can use them now with GDC. You can download Windows binaries at https://bitbucket.org/goshawk/gdc/downloads.

It's has some dependencies that is hard to find.
What about dmd?


November 26, 2012
On Monday, 26 November 2012 at 21:41:01 UTC, Michael wrote:
>> You can use them now with GDC. You can download Windows binaries at https://bitbucket.org/goshawk/gdc/downloads.
>
> It's has some dependencies that is hard to find.

You need to download this file (it's an installer for tdm gcc 4.6.1):

http://sourceforge.net/projects/tdm-gcc/files/TDM-GCC%20Installer/Previous/1.1006.0/tdm64-gcc-4.6.1.exe/download

run it, and install mingw-w64. After that you need to download the most recent binary package of GDC from here:

https://bitbucket.org/goshawk/gdc/downloads/gcc-4.6.1-tdm64-1-gdc-20121117-D2.060.7z

and extract it inside the directory where you have installed mingw-w64, replacing any existing files with the same name. That has always worked for me.

I don't know when dmd on windows will get SIMD support.
November 26, 2012
> I don't know when dmd on windows will get SIMD support.

I have checked windows 64 bit dmd alpha now and it already supports SIMD.
November 28, 2012
On Monday, 26 November 2012 at 22:59:49 UTC, jerro wrote:
>> I don't know when dmd on windows will get SIMD support.
>
> I have checked windows 64 bit dmd alpha now and it already supports SIMD.

Tnx ;)
Top | Discussion index | About this forum | D home